Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 988392 - PRD35 - [RFE] Ability to dismiss alerts from web-admin portal
Summary: PRD35 - [RFE] Ability to dismiss alerts from web-admin portal
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: 3.5.0
Assignee: Ravi Nori
QA Contact: movciari
URL:
Whiteboard: infra
Depends On: 1090808
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-07-25 13:40 UTC by Anand Nande
Modified: 2019-03-22 07:06 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
With this update, users now have the option to dismiss unwanted alerts from the Administration Portal.
Clone Of:
Environment:
Last Closed: 2015-02-11 17:54:04 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 26722 master MERGED engine, restapi, webadmin: Ability to dismiss alerts and events from web-admin portal Never
Red Hat Bugzilla 1206264 None None None Never

Internal Links: 1206264

Comment 1 Eli Mesika 2013-08-22 09:37:05 UTC
The audit_log table has a deleted flag, to filter record/s out of the UI/API all we have to do is to turn this flag ON for those records

Comment 2 Barak 2013-08-22 14:08:41 UTC
(In reply to Eli Mesika from comment #1)
> The audit_log table has a deleted flag, to filter record/s out of the UI/API
> all we have to do is to turn this flag ON for those records

I assume this mechanism should have a way also to un-filter as well, and this might be a bit more complicated.

Comment 3 Barak 2013-12-31 13:32:18 UTC
Summary of discussion on the issue (Eli Arthur & Barak):

* need to add ability to right click "dismiss" on event/events
* need to add a new command for this functionality 
* this command will set the flag in DB to deleted for all relevant events 
* Than it must refresh the UI for this to take effect

Open issues:
* should we do it also on Alerts ?

Comment 5 Arthur Berezin 2013-12-31 13:41:21 UTC
Barak, this RFE is mostly to be able to dismiss/acknowledge alerts from the UI.

Comment 6 akotov 2014-02-28 09:56:51 UTC
My proposal: 2 action modes for each alert: 

Once it appears status is "New" with "Acknowledge" action available.
Once it's acked, Acknowledge button should change to "Clear", or some similar functionality.

Also "Clear all" option should be available, probably UX team can provide additional input.

Comment 11 Barak 2014-04-08 11:25:53 UTC
Per discussion with Arthur,

This RFE is only about dismissing alerts (in one step).

Comment 12 Barak 2014-04-22 15:09:44 UTC
*** Bug 902668 has been marked as a duplicate of this bug. ***

Comment 13 movciari 2014-07-09 14:00:59 UTC
as this RFE is about dismissing alerts and events, it would be nice to add this functianality to events, too - right now it only works for alerts

Comment 14 Oved Ourfali 2014-07-09 14:07:15 UTC
(In reply to movciari from comment #13)
> as this RFE is about dismissing alerts and events, it would be nice to add
> this functianality to events, too - right now it only works for alerts

Updating the title. Moving back to ON_QA.
Please open another RFE on that.

Comment 15 Julie 2014-12-02 06:32:57 UTC
hi Oved,
   Thanks for bringing this bug to my attention in your email and thanks for providing doc text. I have flagged the 'requires_release_notes' flag so that this bug will be picked up for 3.5 GA release notes.

For future releases, make sure your team flags the 'requires_release_notes' flag, selects the right doc type, and provides the doc text and bugs won't get missed for release notes.

Many thanks,
Julie

Comment 17 errata-xmlrpc 2015-02-11 17:54:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.